finfo_set_flags
Filesystem
Fileinfo Functions
PHP Manual

# mime_content_type

Detect MIME Content-type for a file (deprecated)

### Description

string mime_content_type ( string `$filename` )

Returns the MIME content type for a file as determined by using information from the magic.mime file.

### Parameters

`filename`

  Path to the tested file.

### Return Values

Returns the content type in MIME format, like text/plain or application/octet-stream.

### Notes

Warning

This function has been deprecated as the PECL extension Fileinfo provides the same functionality (and more) in a much cleaner way.

### Examples

Example #1 mime_content_type Example

`<?php
echo mime_content_type('php.gif') . "\n";
echo mime_content_type('test.php');
?>`

The above example will output:

    image/gif
    text/plain

### See Also

- Fileinfo for a replacement